#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_opt		/opt/qt-%{version}
#-----------------------------------------------------------------------------
Name		:	qt-x11-free
Version		:	3.3.8b
Release		:	14.4.0.0%{?dist}
Summary		:	Qt toolkit
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers)/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	dbus-glib-devel
BuildRequires	:	harfbuzz-devel
BuildRequires	:	icu
BuildRequires	:	lcms2
BuildRequires	:	libevent
BuildRequires	:	libpng
BuildRequires	:	libvpx
BuildRequires	:	libwebp
BuildRequires	:	libxml2
BuildRequires	:	libxslt
BuildRequires	:	libxkbcommon
BuildRequires	:	llvm-devel
BuildRequires	:	mesa-devel
BuildRequires	:	re2
BuildRequires	:	xcb-util-image
BuildRequires	:	xcb-util-keysyms
BuildRequires	:	xcb-util-renderutil
BuildRequires	:	xcb-util-wm
BuildRequires	:	xorg-server

#-----------------------------------------------------------------------------
%description
Qt 5 is the latest version of Qt. It enables developers to develop
applications with intuitive user interfaces for multiple targets, faster
than ever before. Qt 5 makes it easier to address the latest UI
paradigm shifts that touch screens and tablets require.

Qt 5 is highly compatible with Qt 4. It is possible for developers
of Qt 4 applications to seamlessly move on to Qt 5 with their current
functionality and gradually develop new things leveraging all the great
items Qt 5 makes possible.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%{_sysconfdir}/ld.so.conf.d/%{name}-ld.conf
%{_opt}/bin/assistant
%{_opt}/bin/designer
%{_opt}/bin/linguist
%{_opt}/bin/lrelease
%{_opt}/bin/lupdate
%{_opt}/bin/moc
%{_opt}/bin/qm2ts
%{_opt}/bin/qmake
%{_opt}/bin/qtconfig
%{_opt}/bin/uic
%{_opt}/include/*.h
%{_opt}/include/private/*.h
%{_opt}/lib/libqt-mt.so*
%{_opt}/lib/libqui.so*
%{_opt}/lib/*.prl
%{_opt}/lib/pkgconfig/qt-mt.pc
%{_opt}/doc/html/index
%{_opt}/doc/html/graph.g1n
%{_opt}/doc/html/headerfilesynonyms
%{_opt}/doc/html/propertydocs
%{_opt}/doc/html/propertyindex
%{_opt}/doc/html/titleindex
%{_opt}/doc/html/whatsthis
%{_opt}/doc/html/*.dcf
%{_opt}/doc/html/*.html
%{_opt}/doc/html/*.jpg
%{_opt}/doc/html/*.png
%{_opt}/mkspecs/*
%{_opt}/plugins/designer/*.so
%{_opt}/plugins/imageformats/*.so
%{_opt}/phrasebooks/*.qph
%{_opt}/templates/*.ui
%{_opt}/translations/*.qm

#-----------------------------------------------------------------------------
%post
ldconfig

%postun
ldconfig

#=============================================================================
%prep
%setup -q

sed -i '/QMAKE_RPATH/d' mkspecs/linux*/qmake.conf &&

#adjusting add contene
tar xf %{SOURCE1}
sed -i							\
  -e "s:@@OPT@@:%{_opt}:"				\
  %{name}-ok_addon/%{name}-ld.conf


#-----------------------------------------------------------------------------
#building application
%build

#export PATH=$PWD/bin:$PATH 
export LD_LIBRARY_PATH=$PWD/lib:$LD_LIBRARY_PATH

#To say 'yes' we use the QPL license
echo 'yes'	|					\
./configure						\
        -prefix %{_opt}					\
        -sysconfdir %{_sysconfdir}/qt-%{version}	\
	-shared						\
	-no-exceptions					\
   	-qt-gif						\
	-qt-zlib					\
	-qt-libpng					\
	-qt-libjpeg					\
	-qt-libmng					\
	-thread						\
	-tablet						\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL_ROOT=%{buildroot}			\
	install

#adding library /opt extension
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/ld.so.conf.d
cp							\
	%{name}-ok_addon/%{name}-ld.conf		\
	%{buildroot}%{_sysconfdir}/ld.so.conf.d/
	

#To remove libtool library and static library
find 							\
	%{buildroot}%{_opt}/lib				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#To remove absolute symlink
%{__rm}							\
	%{buildroot}%{_opt}/mkspecs/linux-g++/linux-g++
#-----------------------------------------------------------------------------
%changelog
